//=============================================
// Sequence Mission01 - MissonScript
//=============================================
class SeqMission01 expands MissionScript;

// ----------------------------------------------------------------------
// FirstFrame()
// 
// Stuff to check at first frame
// ----------------------------------------------------------------------

function InitStateMachine() {

	Super.InitStateMachine();
	FirstFrame();
}

function FirstFrame()
{
	Super.FirstFrame();

	if (!flags.CheckFlag('DL_InitialGoals_Played',FLAG_Bool))
	{
		flags.SetBool('DL_InitialGoals_Played', False, True, 2);
	}	
}


// ----------------------------------------------------------------------
// PreTravel()
// 
// Set flags upon exit of a certain map
// ----------------------------------------------------------------------

function PreTravel()
{
	Super.PreTravel();
}


// ----------------------------------------------------------------------
// Timer()
//
// Main state machine for the mission
// ----------------------------------------------------------------------

function Timer()
{
	Super.Timer();

	//if (localURL == "UNATCO_Floor1")
	//{
		// check for the leader being killed
		if (!flags.GetBool('DL_InitialGoals_Played'))
		{
			if (flags.GetBool('SamCarter_Dead'))
			{
				Player.StartDataLinkTransmission("DL_InitialGoals");

				flags.SetBool('DL_InitialGoals_Played', True,, 2);
			}
		}
	//}
}


// ----------------------------------------------------------------------
// ----------------------------------------------------------------------

defaultproperties
{
}
