//
//
//

class SnowFlake extends effects;

#exec OBJ LOAD FILE=..\Textures\SnowMOD.utx PACKAGE=SnowMOD

var SnowMaker master;
var texture t;
var float life;
var int textureNum;
var texture tex[21];
var DeusExPlayer player;

function tick(float deltaTime)
 {
 super.Tick(deltatime);
 life+=deltaTime;
 if (life>20.0 || (VSize(Velocity)<1.0 && life>0.8) )
    {
    master.LoseADrop();
    Destroy();
    }
 // update texture
 UpdateTexture();
 }

simulated function HitWall (vector HitNormal, actor HitWall)
{
   if (life<0.8)
      return;
   master.LoseADrop();
   Destroy();
}

function UpdateTexture()
 {
 local int f;
 if (player==none)
     player=DeusExPlayer(GetPlayerPawn());
 // choose a texture based on textureNum and player viewrotation.pitch
 f=player.viewRotation.Pitch;
 if (f>12000 && f<18200)
    texture=tex[5];
 else if (f>6000 && f<12000)
    texture=tex[5];
 else if (f>0 && f<6000)
    texture=tex[5];
 else if (f<65535 && f>60074)
    texture=tex[5];
 else if (f<60074 && f>54613)
    texture=tex[5];
 else if (f>49100 && f<54613)
    texture=tex[5];
 }

defaultproperties
{
     Tex(0)=Texture'SnowMOD.Misc.SnowFlake0_1'
     Tex(1)=Texture'SnowMOD.Misc.SnowFlake1_1'
     Tex(2)=Texture'SnowMOD.Misc.SnowFlake2_1'
     Tex(3)=Texture'SnowMOD.Misc.SnowFlake3_1'
     Tex(4)=Texture'SnowMOD.Misc.SnowFlake4_1'
     Tex(5)=Texture'SnowMOD.Misc.SnowFlake5_1'
     Physics=PHYS_Falling
     DrawType=DT_Sprite
     Style=STY_Translucent
     Texture=Texture'SnowMOD.Misc.SnowFlake0_1'
     DrawScale=.8.00000
     ScaleGlow=0.500000
     CollisionRadius=1.000000
     CollisionHeight=1.000000
     bCollideWorld=True
     Mass=600.000000
}
